import { AxiosApiClient, CmsPageDto } from "@smallstack/axios-api-client";
import { ApiQueryRequest, Page } from "@smallstack/api-shared";
import { PageableCrudStore } from "@smallstack/store";
import * as i0 from "@angular/core";
export declare class CmsPagesStore extends PageableCrudStore<CmsPageDto> {
    private axiosApiClient;
    constructor(axiosApiClient: AxiosApiClient);
    protected createModel(cmsPage: CmsPageDto): Promise<CmsPageDto>;
    protected patchModel(id: string, cmsPage: Partial<CmsPageDto>): Promise<CmsPageDto>;
    protected putModel(cmsPage: CmsPageDto): Promise<CmsPageDto>;
    protected deleteModelById(id: string): Promise<void>;
    protected deleteModelsByIds(ids: string[]): Promise<void>;
    protected loadModels(query: ApiQueryRequest): Promise<Page<CmsPageDto>>;
    protected loadModelById(id: string): Promise<CmsPageDto>;
    static ɵfac: i0.ɵɵFactoryDeclaration<CmsPagesStore, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<CmsPagesStore>;
}
